package com.hzya.frame.seeyon.invoice.entity;

public enum InvoiceImportState {
    inputZero("0","进行中"),
    inputOne("1","全部成功"),
    inputTwo("2","部分失败"),
    inputThree("3","全部失败");




    private String type;
    //值
    private String value;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    InvoiceImportState(String type, String value){
        this.type=type;
        this.value=value;
    }

    public static String invoiceStateGetValue(String type){
        for (InvoiceImportState invoiceState : InvoiceImportState.values()){
            if(invoiceState.getType()==type||invoiceState.getType().equals(type)){
                return invoiceState.getValue().toString();
            }
        }
        return null;
    }
}
